//  Persistance of Vision Raytracer V1.0
//  World definition file.
//
//  Contains 6 lights, 5 textures and 25 primitives.
//
//  This file was generated for POV-Ray V1.0 by
//  MORAY.EXE (c) '91 '92 '93 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 07/21/1993    (21.07.1993)
//

//
//  This is MORAY's default standard include file for POV.
//  called MRYDEFLT.INC
//

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
camera {  //  Camera Camera01
  location  <0.000 75.000 0.260>
  direction <0.0  0.0  2.4880>
  sky       <0.0  0.0  1.0>  // Use right handed-system!
  up        <0.0  0.0  1.0>  // Where Z is up
  right     <1.3333  0.0  0.0>
  look_at   <0.000 0.000 0.000>
}

// *******  L I G H T S *******
object {   // Light source WALL_LIGHT
  light_source {
    <-14.963 12.546 13.383>
    color  red 1.000 green 0.016 blue 0.094
    spotlight
      point_at  <-14.963 11.454 13.383>
      falloff   28.4  // outer radius (in deg)
      radius    28.2  // inner radius
      tightness 22  // 1=smooth, 100=tight
  }
}

object {   // Light source WALL_LIGHT1
  light_source {
    <14.312 12.546 13.398>
    color  red 1.000 green 0.016 blue 0.094
    spotlight
      point_at  <14.312 11.454 13.398>
      falloff   28.4  // outer radius (in deg)
      radius    28.2  // inner radius
      tightness 22  // 1=smooth, 100=tight
  }
}

object {   // Light source PICTURE_LIGHT
  light_source {
    <-0.836 -27.045 2.695>
    color  red 1.000 green 1.000 blue 1.000
    spotlight
      point_at  <-0.836 -26.045 2.695>
      falloff   19.4  // outer radius (in deg)
      radius    19.3  // inner radius
      tightness 75  // 1=smooth, 100=tight
  }
}

object {   // Light source ROOM_LIGHT
  light_source {
    <-0.929 35.000 7.000>
    color  red 0.761 green 0.761 blue 0.761
  }
}

object {   // Light source FIRE_LIGHT_1
  light_source {
    <-14.963 1.580 6.041>
    color  red 1.000 green 0.000 blue 0.000
  }
}

object {   // Light source FIRE_LIGHT_2
  light_source {
    <14.405 1.487 6.041>
    color  red 1.000 green 0.000 blue 0.000
  }
}


//
// ********  T E X T U R E S  *******
//

#include "LETOUT.INC"

// ********  O B J E C T S *******
#declare outside = intersection {
  box { UnitBox 
  texture {
    Blue_Sky2
  }
  }
  scale <8.000000 0.050000 5.500000>
  translate <-0.371747 0.464684 2.881041>
}

#declare frame = intersection {
  box { UnitBox 
  texture {
    Cherry_Wood
  }
  }
  scale <1.000000 1.000000 3.000000>
  translate <-4.400000 0.000000 0.464684>
}

#declare frame1 = intersection {
  box { UnitBox 
  texture {
    Cherry_Wood
  }
  }
  scale <1.000000 1.000000 3.000000>
  rotate <-0.000000 -90.000000 -0.000000>
  translate <-2.400000 0.000000 2.509294>
}

#declare frame2 = intersection {
  box { UnitBox 
  texture {
    Cherry_Wood
  }
  }
  scale <1.000000 1.000000 3.000000>
  rotate <-0.000000 -90.000000 -0.000000>
  translate <-2.400000 0.000000 -1.579926>
}

#declare frame3 = intersection {
  box { UnitBox 
  texture {
    Cherry_Wood
  }
  }
  scale <1.000000 1.000000 3.000000>
  translate <-0.400000 0.000000 0.464684>
}

#declare picture_frame = composite {
  object { intersection { frame } }
  object { intersection { frame1 } }
  object { intersection { frame2 } }
  object { intersection { frame3 } }
  scale <3.500000 0.500000 2.500000>
  translate <7.992565 0.000000 1.951673>
}
composite {   // picture
  object { intersection { outside } }
  composite { picture_frame }
}
#declare torch1 = intersection {
  quadric { QCone_Z
  texture {
    Cherry_Wood
  }
  }
  plane { <0 0 +1> 1
  texture {
    Cherry_Wood
  }
  }
  plane { <0 0 -1> 0
  texture {
    Cherry_Wood
  }
  }
  scale <1.000000 1.000000 5.000000>
  translate <0.000000 3.066914 0.000000>
}

#declare flame_6 = intersection {
  quartic {
           // Torus MinRadius=   0.250   MajRadius=   0.750 
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.250
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.250    0.000   0.000   0.000   0.000
             1.000   0.000   1.000  0.000   0.250 >
  texture {
    Apocalypse
  }
  }
  scale <1.500000 1.500000 0.250000>
  translate <0.000000 3.066914 5.500000>
}

#declare flame_7 = intersection {
  quartic {
           // Torus MinRadius=   0.250   MajRadius=   0.750 
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.250
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.250    0.000   0.000   0.000   0.000
             1.000   0.000   1.000  0.000   0.250 >
  texture {
    Apocalypse
  }
  }
  scale <1.250000 1.250000 0.250000>
  translate <0.000000 3.066914 5.800000>
}

#declare flame_8 = intersection {
  quartic {
           // Torus MinRadius=   0.250   MajRadius=   0.750 
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.250
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.250    0.000   0.000   0.000   0.000
             1.000   0.000   1.000  0.000   0.250 >
  texture {
    Apocalypse
  }
  }
  scale <1.000000 1.000000 0.200000>
  translate <0.000000 3.066914 6.100000>
}

#declare flame_9 = intersection {
  quartic {
           // Torus MinRadius=   0.250   MajRadius=   0.750 
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.250
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.250    0.000   0.000   0.000   0.000
             1.000   0.000   1.000  0.000   0.250 >
  texture {
    Apocalypse
  }
  }
  scale <0.800000 0.800000 0.150000>
  translate <0.000000 3.066914 6.400000>
}

#declare flame_10 = intersection {
  quartic {
           // Torus MinRadius=   0.250   MajRadius=   0.750 
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.250
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.250    0.000   0.000   0.000   0.000
             1.000   0.000   1.000  0.000   0.250 >
  texture {
    Apocalypse
  }
  }
  scale <0.600000 0.600000 0.150000>
  translate <0.000000 3.067000 6.700000>
}

#declare FLAME_CONE1 = intersection {
  quadric { QCone_Z
  texture {
    Apocalypse
  }
  }
  plane { <0 0 +1> 1
  texture {
    Apocalypse
  }
  }
  plane { <0 0 -1> 0
  texture {
    Apocalypse
  }
  }
  scale <0.500000 0.500000 0.500000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <0.000000 3.066914 7.527881>
}

#declare TORCH1 = composite {
  object { intersection { torch1 } }
  object { intersection { flame_6 } }
  object { intersection { flame_7 } }
  object { intersection { flame_8 } }
  object { intersection { flame_9 } }
  object { intersection { flame_10 } }
  object { intersection { FLAME_CONE1 } }
  translate <14.349442 -1.500000 0.000000>
}
#declare torch = intersection {
  quadric { QCone_Z
  texture {
    Cherry_Wood
  }
  }
  plane { <0 0 +1> 1
  texture {
    Cherry_Wood
  }
  }
  plane { <0 0 -1> 0
  texture {
    Cherry_Wood
  }
  }
  scale <1.000000 1.000000 5.000000>
  translate <0.000000 3.066914 0.000000>
}

#declare flame_1 = intersection {
  quartic {
           // Torus MinRadius=   0.250   MajRadius=   0.750 
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.250
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.250    0.000   0.000   0.000   0.000
             1.000   0.000   1.000  0.000   0.250 >
  texture {
    Apocalypse
  }
  }
  scale <1.500000 1.500000 0.250000>
  translate <0.000000 3.066914 5.500000>
}

#declare flame_2 = intersection {
  quartic {
           // Torus MinRadius=   0.250   MajRadius=   0.750 
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.250
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.250    0.000   0.000   0.000   0.000
             1.000   0.000   1.000  0.000   0.250 >
  texture {
    Apocalypse
  }
  }
  scale <1.250000 1.250000 0.250000>
  translate <0.000000 3.066914 5.800000>
}

#declare flame_3 = intersection {
  quartic {
           // Torus MinRadius=   0.250   MajRadius=   0.750 
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.250
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.250    0.000   0.000   0.000   0.000
             1.000   0.000   1.000  0.000   0.250 >
  texture {
    Apocalypse
  }
  }
  scale <1.000000 1.000000 0.200000>
  translate <0.000000 3.066914 6.100000>
}

#declare flame_4 = intersection {
  quartic {
           // Torus MinRadius=   0.250   MajRadius=   0.750 
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.250
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.250    0.000   0.000   0.000   0.000
             1.000   0.000   1.000  0.000   0.250 >
  texture {
    Apocalypse
  }
  }
  scale <0.800000 0.800000 0.150000>
  translate <0.000000 3.066914 6.400000>
}

#declare flame_5 = intersection {
  quartic {
           // Torus MinRadius=   0.250   MajRadius=   0.750 
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.250
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.250    0.000   0.000   0.000   0.000
             1.000   0.000   1.000  0.000   0.250 >
  texture {
    Apocalypse
  }
  }
  scale <0.600000 0.600000 0.150000>
  translate <0.000000 3.067000 6.700000>
}

#declare FLAME_CONE = intersection {
  quadric { QCone_Z
  texture {
    Apocalypse
  }
  }
  plane { <0 0 +1> 1
  texture {
    Apocalypse
  }
  }
  plane { <0 0 -1> 0
  texture {
    Apocalypse
  }
  }
  scale <0.500000 0.500000 0.500000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <0.000000 3.066914 7.527881>
}

#declare TORCH = composite {
  object { intersection { torch } }
  object { intersection { flame_1 } }
  object { intersection { flame_2 } }
  object { intersection { flame_3 } }
  object { intersection { flame_4 } }
  object { intersection { flame_5 } }
  object { intersection { FLAME_CONE } }
  translate <-15.000000 -1.500000 0.000000>
}
composite {   // TORCHES
  composite { TORCH1 }
  composite { TORCH }
}
object {   // wall
  box { UnitBox 
  texture {
    White_Marble
  }
  }
  scale <30.000000 0.250000 30.000000>
  translate <-0.185874 -0.650558 0.000000>
}

#declare step_1 = intersection {
  box { UnitBox 
  texture {
    White_Marble
  }
  }
  scale <11.000000 1.000000 0.500000>
  translate <-0.278810 0.000000 -5.855019>
}

#declare step_2 = intersection {
  box { UnitBox 
  texture {
    White_Marble
  }
  }
  scale <13.750000 1.000000 0.500000>
  translate <-0.278810 2.044610 -7.191450>
}

#declare step_3 = intersection {
  box { UnitBox 
  texture {
    White_Marble
  }
  }
  scale <17.187500 1.000000 0.500000>
  translate <-0.278810 4.182156 -8.620818>
}

#declare step_4 = intersection {
  box { UnitBox 
  texture {
    White_Marble
  }
  }
  scale <21.484375 1.000000 0.500000>
  translate <-0.278810 6.319703 -10.143123>
}

composite {   // steps
  object { intersection { step_1 } }
  object { intersection { step_2 } }
  object { intersection { step_3 } }
  object { intersection { step_4 } }
}
object {   // floor
  box { UnitBox 
  texture {
    floor_black
  }
  }
  scale <50.000000 80.000000 0.150000>
  translate <-0.092937 -0.185874 -11.524164>
}

